Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
SOLVED[ ]problemi nell upgrade
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Fri May 11, 2018 11:44 am    Post subject: SOLVED[ ]problemi nell upgrade Reply with quote

Code:
Codice:
emerge --ask -uDNv --with-bdeps y --backtrack=300 --verbose-conflict --exclude rdoc @world --autounmask -n

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy ">=dev-ruby/rdoc-5.1.0[ruby_targets_ruby25]" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-ruby/rdoc-6.0.1::gentoo (masked by: exclude option)
- dev-ruby/rdoc-5.1.0::gentoo (masked by: exclude option)

(dependency required by "dev-lang/ruby-2.5.1::gentoo[rdoc]" [installed])
(dependency required by "dev-ruby/racc-1.4.14::gentoo[ruby_targets_ruby25]" [installed])
(dependency required by "dev-ruby/rdoc-6.0.1::gentoo[ruby_targets_ruby23]" [installed])
(dependency required by "dev-ruby/hpricot-0.8.6-r5::gentoo[ruby_targets_ruby23]" [installed])
(dependency required by "app-text/ronn-0.7.3-r3::gentoo[ruby_targets_ruby23,-test]" [installed])
(dependency required by "x11-misc/i3blocks-1.4-r1::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



come al solito non ho capito come risolvere questo inghippo .. se potete darmi un aiuto ! grazie in anticipo


Last edited by drudox on Fri May 11, 2018 12:38 pm; edited 1 time in total
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Fri May 11, 2018 11:51 am    Post subject: Reply with quote

se tolgo rdoc dall exclude prova a compilarlo ma fallisce
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19638
Location: here

PostPosted: Fri May 11, 2018 11:54 am    Post subject: Reply with quote

Ridai il comando senza usare --exclude e post l'output
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Fri May 11, 2018 11:54 am    Post subject: Reply with quote

se tolgo rdoc dall exclude prova a compilarlo ma fallisce
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19638
Location: here

PostPosted: Fri May 11, 2018 11:56 am    Post subject: Reply with quote

drudox wrote:
se tolgo rdoc dall exclude prova a compilarlo ma fallisce

Ok allora post il build.log di quel pacchetto.

Code:
!!! All ebuilds that could satisfy ">=dev-ruby/rdoc-5.1.0[ruby_targets_ruby25]" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-ruby/rdoc-6.0.1::gentoo (masked by: exclude option)
- dev-ruby/rdoc-5.1.0::gentoo (masked by: exclude option)

portage ti dice che ha bisogno rdoc con la use flag ruby_targets_ruby25 ma dice che e' mascherato a causa di --exclude (masked by: exclude option), questo vuol dire che non puoi usare quella opzione (anzi sarebbe da evitare quasi sempre)
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Fri May 11, 2018 12:00 pm    Post subject: Reply with quote

senza l'exclude : https://paste.pound-python.org/show/80yAq5j3oKA5a1Sqa1Yi/

e questo e` il build.log :
Code:
https://paste.pound-python.org/show/xBiZM6RhhjWTOIOkHVf7/
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19638
Location: here

PostPosted: Fri May 11, 2018 12:11 pm    Post subject: Reply with quote

Sembra un problema di localizzazione, puoi postare l'output del comando locale?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Fri May 11, 2018 12:16 pm    Post subject: Reply with quote

Code:
Burrows ~ # locale
LANG=POSIX
LC_CTYPE="POSIX"
LC_NUMERIC="POSIX"
LC_TIME="POSIX"
LC_COLLATE="POSIX"
LC_MONETARY="POSIX"
LC_MESSAGES="POSIX"
LC_PAPER="POSIX"
LC_NAME="POSIX"
LC_ADDRESS="POSIX"
LC_TELEPHONE="POSIX"
LC_MEASUREMENT="POSIX"
LC_IDENTIFICATION="POSIX"
LC_ALL=
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Fri May 11, 2018 12:18 pm    Post subject: Reply with quote

Code:
Burrows ~ # locale -a
C
POSIX
en_US.utf8
it_IT.utf8
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19638
Location: here

PostPosted: Fri May 11, 2018 12:25 pm    Post subject: Reply with quote

Ok con eselect settalo su en_US.utf8 o it_IT.utf8
Code:
# eselect locale list
# eselect locale set <numero_locale_listato_comando_precedente>
# env-update && source /etc/profile
# emerge --ask -uDNv --with-bdeps y @world --autounmask -n

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Fri May 11, 2018 12:38 pm    Post subject: Reply with quote

grande !!!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum